Skip to main content
GET
/
subscriptions
/
{subscriptionId}
/
can-update
Error
A valid request URL is required to generate request examples
{
  "can_update": true,
  "message": "<string>",
  "required_action": {}
}

Authorizations

Authorization
string
header
required

Path Parameters

subscriptionId
string
required

The ID of the subscription

Query Parameters

plan
enum<string>

The plan type of the subscription.

Available options:
development,
standard,
medium,
large,
xlarge,
2xlarge
environments
integer

The number of environments which can be provisioned on the project.

storage
integer

The total storage available to each environment, in MiB. Only multiples of 1024 are accepted as legal values.

user_licenses
integer

The number of user licenses.

Response

200 - application/json

Check result with error message if presented

can_update
boolean

Boolean result of the check.

message
string

Details in case of negative check result.

required_action
object

Required action impeding project update.

Last modified on March 11, 2026